--- title: "Get authentication key list" slug: "analytics-vpcsearchengine-cluster-getloginkeylist" tags: ["Search Engine Service"] updated: 2026-09-17T09:50:01Z published: 2026-09-17T09:50:01Z canonical: "api.ncloud-docs.com/analytics-vpcsearchengine-cluster-getloginkeylist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get authentication key list Available in VPC Get the authentication key used when accessing the manager node of the search engine cluster via SSH. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/cluster/getLoginKeyList (Korea Region) | | GET | /api/sgn-v2/cluster/getLoginKeyList (Singapore Region) | | GET | /api/jpn-v2/cluster/getLoginKeyList (Japan Region) | ### Request headers For information about the headers common to all Search Engine Service APIs, see [Search Engine Service request headers](/docs/en/analytics-vpcsearchengine#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request example The request example is as follows: ``` curl --location --request GET 'https://vpcsearchengine.apigw.ntruss.com/api/v2/cluster/getLoginKeyList' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.loginKeyList` | Array | - | List of authentication keys: [loginKeyList](/docs/en/analytics-vpcsearchengine-cluster-getloginkeylist#loginKeyList) | | `result.totalRows` | Integer | - | Number of response results | | `requestId` | String | - | ID for the request - UUID format | #### `loginKeyList` The following describes `loginKeyList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `keyName` | String | - | Authentication key name | ### Response status codes For response status codes common to all Search Engine Service APIs, see [Search Engine Service response status codes](/docs/en/analytics-vpcsearchengine#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": { "loginKeyList": [ { "keyName": "a123" }, { "keyName": "apitest" }, ... ], "totalRows": 9 }, "requestId": "ffb5a6ea-****-****-****-dac08ec62e2b" } ```